> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domesystems.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Rotate Destination Secret



## OpenAPI

````yaml POST /v1/webhooks/destinations/{id}/rotate-secret
openapi: 3.0.3
info:
  title: Dome Platform API
  description: Connect and REST APIs for the Dome agent governance platform.
  version: 2.0.0
servers:
  - url: https://api.domesystems.ai
    description: Production
security: []
tags:
  - name: Agents
  - name: Authorization
  - name: Guards
  - name: Tools
  - name: Tool Catalog
  - name: Models
  - name: Model Pools
  - name: Quotas
  - name: Gateways
  - name: Webhooks
  - name: Audit
  - name: Workspaces
  - name: Access Control
  - name: Tenants
  - name: Platform Keys
  - name: Enrollment
  - name: Platform
  - name: Identity
paths:
  /v1/webhooks/destinations/{id}/rotate-secret:
    post:
      tags:
        - Webhooks
      operationId: EventingService_RotateDestinationSecret
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RotateDestinationSecretRequest'
        required: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RotateDestinationSecretResponse'
components:
  schemas:
    RotateDestinationSecretRequest:
      type: object
      properties:
        workspace_id:
          type: string
        id:
          type: string
    RotateDestinationSecretResponse:
      type: object
      properties:
        signing_secret:
          type: string
        signing_key_id:
          type: string
        previous_key_expires_at:
          type: string
          format: date-time
      description: >-
        RotateDestinationSecretResponse reveals the new secret once and reports
        when
         the previous key stops being included in signatures.

````